#console log
log4j.appender.CONSOLE=org.apache.log4j.ConsoleAppender
log4j.appender.CONSOLE.layout=org.apache.log4j.SimpleLayout
log4j.appender.A3.BufferedIO=true     
log4j.appender.A3.BufferSize=8192   
### show SQL ###
#log4j.appender.stdout.Threshold=trace  
#log4j.category.org.hibernate.SQL=trace  
#log4j.category.org.hibernate.type=trace  
log4j.appender.stdout.Threshold=ERROR  
log4j.category.org.hibernate.SQL=ERROR  
log4j.category.org.hibernate.type=ERROR  
### show SQL ###

#all log
log4j.appender.R=org.apache.log4j.DailyRollingFileAppender   
  
log4j.appender.R.File=./logs/log-info.log   
log4j.appender.R.DatePattern = '.'yyyy-MM-dd   
log4j.appender.R.layout=org.apache.log4j.PatternLayout   
log4j.appender.R.layout.ConversionPattern=%-d{yyyy-MM-dd HH:mm:ss} [%c]-[%p] %m%n 

#error--Print log to JAVAHOME
log4j.appender.error=org.apache.log4j.RollingFileAppender
log4j.appender.error.Threshold=ERROR
log4j.appender.error.MaxFileSize=10240KB
log4j.appender.error.MaxBackupIndex=1
log4j.appender.error.file=./logs/log-error.log 
log4j.appender.error.layout=org.apache.log4j.PatternLayout
log4j.appender.error.layout.ConversionPattern=[%-5p] %d{yyyy-MM-dd HH:mm:ss,SSS} method:%l%n%m%n 

log4j.rootLogger=INFO,ERROR,CONSOLE,R,appender1
log4j.appender.appender1.layout=org.apache.log4j.TTCCLayout  